/^BASE *=/s/.*/BASE = @BASE@/
/^HOSTSYSTEM *=/s/.*/HOSTSYSTEM = @shapehostsystem@/
/^HOSTTYPE *=/s/.*/HOSTTYPE = @shapehosttype@/
/^SWITCHES *=/s/.*/SWITCHES = @SWITCHES@/
/^# files, libraries and manuals/a\
\
prefix = $(INSTALLBASE)\
exec_prefix = $(INSTALLBASE)

/^INSTALLBASE *=/s/.*/INSTALLBASE = @prefix@/
/^INSTALLBINPATH *=/s/.*/INSTALLBINPATH = @bindir@/
/^INSTALLINCPATH *=/s/.*/INSTALLINCPATH = @includedir@/
/^INSTALLLIBPATH *=/s/.*/INSTALLLIBPATH = @libdir@/
/^INSTALLMANPATH *=/s/.*/INSTALLMANPATH = @mandir@/
/^LIBTARGET *=/{
	s/.*/LIBTARGET = lib$(LIBNAME).a/
	i\
LIBNAME = XXX
	a\
SHLIBVERSION = XXX\
SHLIBTARGET = @SHLIBTARGET@
}
/^LIBOBJECTS *=/,/^$/{
	/^$/a\
SHLIBOBJECTS = $(LIBOBJECTS:.o=.pic_o)\
\
%.pic_o: %.c\
	$(CC) -c $(SHLIBCFLAGS) $(CFLAGS) $< $(OUTPUT_OPTION)\

}

/^MAKECFLAGS *=/s/.*/MAKECFLAGS = @MAKECFLAGS@/
/^MAKELDFLAGS *=/{
	s/.*/MAKELDFLAGS = @MAKELDFLAGS@/
	a\
\
SHLIBTARGET = @SHLIBTARGET@\
SHLIBCFLAGS = @SHLIBCFLAGS@\
SHLIBLD = @SHLIBLD@\
SHLIBSUFFIX = @SHLIBSUFFIX@\
SHLIBLOCALLDFLAGS = @SHLIBLOCALLDFLAGS@\
SHLIBINSTALLLDFLAGS = @SHLIBINSTALLLDFLAGS@
}

/^CC *=/s/.*/CC = @CC@/
/^RANLIB *=/s/.*/RANLIB = @RANLIB@/
/^SYSLIBS *=/s/.*/SYSLIB = @SYSLIBS@/
/^LOCALLIBS *=/{
	s/.*/LOCALLIBS = @LOCALLIBS@/
	i\
STATICLOCALLIBS = $(LOCALLIBPATH)/$(LIBTARGET)\
SHAREDLOCALLIBS = $(LOCALLIBPATH)/$(SHLIBTARGET)
	a\
LOCALLDFLAGS = -L$(LOCALLIBPATH) $(SHLIBLOCALLDFLAGS) -lXXXX\
\
INSTALLLDFLAGS = -L$(INSTALLLIBPATH) $(SHLIBINSTALLLDFLAGS) -lXXXX\

}

/^LINTLIBS *=/s/.*/LINTLIBS = @LINTLIBS@/

/^targets: $(LIBTARGET)/s/\(\$(LIBTARGET)\)/\1 $(SHLIBTARGET)/
